import { cn } from "./cva.js";
import * as React from "react";
import { jsx } from "react/jsx-runtime";
import * as RRadio from "@radix-ui/react-radio-group";
//#region src/RadioGroup.tsx
function RadioGroup({ className, children, ...props }) {
	return /* @__PURE__ */ jsx(RRadio.Root, {
		className: cn("flex flex-col gap-2", className),
		...props,
		children
	});
}
const Radio = React.forwardRef(({ className, ...props }, ref) => /* @__PURE__ */ jsx(RRadio.Item, {
	ref,
	className: cn("h-4 w-4 rounded-full border border-border bg-surface focus-visible:outline focus-visible:outline-accent disabled:opacity-50 disabled:cursor-not-allowed data-[state=checked]:border-accent", className),
	...props,
	children: /* @__PURE__ */ jsx(RRadio.Indicator, { className: "flex h-full w-full items-center justify-center after:block after:h-2 after:w-2 after:rounded-full after:bg-accent" })
}));
Radio.displayName = "Radio";
//#endregion
export { Radio, RadioGroup };
